aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash
diff options
context:
space:
mode:
authorVratko Polak <vrpolak@cisco.com>2019-11-11 18:19:30 +0100
committerVratko Polak <vrpolak@cisco.com>2019-11-11 18:19:30 +0100
commita31a47b1b497efffbcbb92004d32885a84f4ff4f (patch)
tree92b63b01449ea03bd8125a65c012c473caaedd05 /resources/libraries/bash
parent9d72674a76dc8e81a89fab1bf7ae255bdf4faea4 (diff)
Remove the leftovers of the old testbed cleanup
Change-Id: I464db6fb6c220f23f2fe69df2c793175975d7b72 Signed-off-by: Vratko Polak <vrpolak@cisco.com>
Diffstat (limited to 'resources/libraries/bash')
-rw-r--r--resources/libraries/bash/entry/per_patch_perf.sh4
-rw-r--r--resources/libraries/bash/function/common.sh13
2 files changed, 2 insertions, 15 deletions
diff --git a/resources/libraries/bash/entry/per_patch_perf.sh b/resources/libraries/bash/entry/per_patch_perf.sh
index 8c9d7d2ca3..95b067bbd3 100644
--- a/resources/libraries/bash/entry/per_patch_perf.sh
+++ b/resources/libraries/bash/entry/per_patch_perf.sh
@@ -68,7 +68,7 @@ for ((iter=0; iter<iterations; iter++)); do
if ((iter)); then
# Function reserve_and_cleanup_testbed has already cleaned it once,
# but we need to clean it explicitly on subsequent iterations.
- cleanup_topo
+ ansible_hosts "cleanup" || die
fi
# Testing current first. Good for early failures or for API changes.
select_build "build_current" || die
@@ -78,7 +78,7 @@ for ((iter=0; iter<iterations; iter++)); do
archive_parse_test_results "csit_current/${iter}" || die
die_on_pybot_error || die
# TODO: Use less heavy way to avoid apt remove failures.
- cleanup_topo
+ ansible_hosts "cleanup" || die
select_build "build_parent" || die
check_download_dir || die
run_pybot || die
diff --git a/resources/libraries/bash/function/common.sh b/resources/libraries/bash/function/common.sh
index 93adda7e0c..491b47fb48 100644
--- a/resources/libraries/bash/function/common.sh
+++ b/resources/libraries/bash/function/common.sh
@@ -182,19 +182,6 @@ function check_prerequisites () {
fi
}
-function cleanup_topo () {
-
- # Variables read:
- # - WORKING_TOPOLOGY - Path to topology yaml file of the reserved testbed.
- # - PYTHON_SCRIPTS_DIR - Path to directory holding the reservation script.
-
- set -exuo pipefail
-
- python "${PYTHON_SCRIPTS_DIR}/topo_cleanup.py" -t "${WORKING_TOPOLOGY}"
- # Not using "|| die" as some callers might want to ignore errors,
- # e.g. in teardowns, such as unreserve.
-}
-
function common_dirs () {